﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
         CodeBehind="Default.aspx.cs" Inherits="ParametersDoNotMatch._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <asp:DetailsView runat="server" ID="ShipperDetailsView" 
                     DataSourceID="ShipperDataSource" AutoGenerateRows="False" >
        <Fields>
            <asp:BoundField DataField="ShipperId" HeaderText="ShipperId"
                            ReadOnly="True" InsertVisible="False"/>
            <asp:BoundField DataField="ShipperName" HeaderText="ShipperName"/>
            <asp:CommandField ShowInsertButton="True"/>
        </Fields>
    </asp:DetailsView>
    <asp:ObjectDataSource runat="server" ID="ShipperDataSource"
                          TypeName="ParametersDoNotMatch.Shipper"
                          SelectMethod="GetAllShippersList"
                          InsertMethod="InsertShipper">
        <InsertParameters>
            <asp:Parameter Name="shipperName" Type="String"/>
        </InsertParameters>
    </asp:ObjectDataSource>
</asp:Content>